Bug 172414 - multiple errors system configuration upgrade from RHL 7 or 9
multiple errors system configuration upgrade from RHL 7 or 9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 22:27 EST by Richard Bonomo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 21:47:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Bonomo 2005-11-03 22:27:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.7 (KHTML, like Gecko) Safari/412.5

Description of problem:
1.Under RHL, disks on i2o RAID device were shown as /dev/sdX; under FC4, they are /dev/i2o hdX.  The
installer does not adjust the /etc/fstab files, so the install fails when it cannot find partitions that are
identified with device names instead of labels
2. Installer fails to find boot loader, even though GRUB is already present
3. The installer fails to adjust the symbolic links System.map and vmlinuz in /boot to point to the new 
images, so boot fails.
4. install fails to exchange dpt_i2o device from RHL for i2o_core device in /etc/modprobe.conf.  
Consequently, the initial boot after install fails with "kernel panic" and "attempting to kill init!!", even
after problem #3 is corrected.
5. vital service configuration files, such as /etc/named.conf are changed (effectively deactivating the
service) with little or no warning.

Version-Release number of selected component (if applicable):
whichever version is on the FC4 base iso  (rpm -q anaconda yields nothing)

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from RHL to FC4 on a system with Adaptec i2o RAID controller
2.
3.
  

Actual Results:  repeat of symptoms in description

Expected Results:  repeat of symptoms in description

Additional info:
Comment 1 Jeremy Katz 2005-11-07 21:47:38 EST
Direct upgrades from that far back aren't really supported
Comment 2 Richard Bonomo 2005-11-08 12:42:09 EST
You mean to say that ALL these problems are the result of upgrading from an "older" OS?
Also, I forgot to mention that that on a system with dual processors, the installer did not
produce an SMP image at all...
RB

Note You need to log in before you can comment on or make changes to this bug.